Bug 197144 - hdr['CHANGELOGTIME'] is an int instead of a list iff there is one changelog entry
hdr['CHANGELOGTIME'] is an int instead of a list iff there is one changelog e...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 16:09 EDT by Mike Bonnet
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0315
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Bonnet 2006-06-28 16:09:49 EDT
Description of problem:
If the changelog for an rpm contains exaactly one entry, the 'CHANGELOGTIME'
field in the dict returned by rpm.ts().hdrFromFdno() contains an int, instead of
a list containing a single int.  This is inconsistent with the other CHANGELOG*
fields.

Version-Release number of selected component (if applicable):
rpm-4.3.3-17_nonptl

How reproducible:
Always

Steps to Reproduce:
import rpm
f = file('/path/to/rpm-with-one-changelog-entry.rpm')
hdr = rpm.ts().hdrFromFdno(f.fileno())
f.close()
print type(hdr['CHANGELOGTIME'])
 
Actual results:
<type 'int'>

Expected results:
<type 'list'>

Additional info:
Comment 11 Red Hat Bugzilla 2007-05-01 18:52:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0315.html

Note You need to log in before you can comment on or make changes to this bug.